Loading...
Searching...
No Matches
extractors.h File Reference
`#include <BALL/common.h>`
`#include <BALL/DATATYPE/string.h>`

Go to the source code of this file.

## Namespaces

namespace | BALL

## Typedefs

typedef std::list< Atom * > | BALL::AtomList
typedef std::list< Bond * > | BALL::BondList
typedef std::list< AtomContainer * > | BALL::AtomContainerList
typedef std::list< PDBAtom * > | BALL::PDBAtomList
typedef std::list< Residue * > | BALL::ResidueList
typedef std::list< Fragment * > | BALL::FragmentList
typedef std::list< Molecule * > | BALL::MoleculeList
typedef std::list< Protein * > | BALL::ProteinList
typedef std::list< SecondaryStructure * > | BALL::SecondaryStructureList
typedef std::list< Chain * > | BALL::ChainList
typedef std::list< Nucleotide * > | BALL::NucleotideList
typedef std::list< NucleicAcid * > | BALL::NucleicAcidList

## Functions

BALL_EXPORT AtomList | BALL::atoms (const AtomContainer &fragment, const String &expression=String())
BALL_EXPORT AtomList | BALL::atoms (const AtomList &atoms, const String &expression)
BALL_EXPORT PDBAtomList | BALL::PDBAtoms (const AtomContainer &fragment, const String &expression=String())
BALL_EXPORT BondList | BALL::bonds (const AtomContainer &fragment, bool selected_only=false)
BALL_EXPORT BondList | BALL::bonds (const Atom &atom)
BALL_EXPORT AtomContainerList | BALL::atomContainers (const AtomContainer &fragment, bool selected_only=false)
BALL_EXPORT ResidueList | BALL::residues (const AtomContainer &fragment, bool selected_only=false)
BALL_EXPORT FragmentList | BALL::fragments (const AtomContainer &fragment, bool selected_only=false)
BALL_EXPORT MoleculeList | BALL::molecules (const AtomContainer &fragment, bool selected_only=false)
BALL_EXPORT ProteinList | BALL::proteins (const AtomContainer &fragment, bool selected_only=false)
BALL_EXPORT SecondaryStructureList | BALL::secondaryStructures (const AtomContainer &fragment, bool selected_only=false)
BALL_EXPORT ChainList | BALL::chains (const AtomContainer &fragment, bool selected_only=false)
BALL_EXPORT NucleicAcidList | BALL::nucleicAcids (const AtomContainer &fragment, bool selected_only=false)
BALL_EXPORT NucleotideList | BALL::nucleotides (const AtomContainer &fragment, bool selected_only=false)